Bug 1304670 - (CVE-2016-2316) CVE-2016-2316 asterisk: File descriptor exhaustion in chan_sip (AST-2016-002)
CVE-2016-2316 asterisk: File descriptor exhaustion in chan_sip (AST-2016-002)
Status: CLOSED RAWHIDE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160203,repor...
: Security
Depends On: 1304672 1304671
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 05:19 EST by Adam Mariš
Modified: 2016-02-17 09:21 EST (History)
5 users (show)

See Also:
Fixed In Version: asterisk 11.21.1, asterisk 13.7.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-12 10:15:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-04 05:19:51 EST
It was reported that setting the sip.conf timert1 value to a value higher than 1245 can cause an integer overflow and result in large retransmit timeout times. These large timeout values hold system file descriptors hostage and can cause the system to run out of file descriptors.

External Reference:

http://downloads.asterisk.org/pub/security/AST-2016-002.html
http://seclists.org/bugtraq/2016/Feb/28
Comment 1 Adam Mariš 2016-02-04 05:20:35 EST
Created asterisk tracking bugs for this issue:

Affects: fedora-all [bug 1304671]
Affects: epel-6 [bug 1304672]
Comment 2 Jared Smith 2016-02-04 13:00:26 EST
I've updated Rawhide to upstream release 13.7.1, which corrects this issue (as well as two other reported security issues).

Once the build finishes in Rawhide, I'll push to f23 and f22 for testing as well.
Comment 3 Andrej Nemec 2016-02-16 03:16:02 EST
CVE assignment information from upstream:

http://downloads.asterisk.org/pub/security/AST-2016-002.html
Comment 4 Fedora Update System 2016-02-17 07:50:59 EST
asterisk-13.7.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2016-02-17 09:21:10 EST
asterisk-13.7.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.